NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::Subdivision::StartSymmetricModelingBuilder Class Reference

Represents a NXOpen::Features::Subdivision::StartSymmetricModelingBuilder builder
To create a new instance of this class, use NXOpen::Features::Subdivision::SubdivisionBodyCollection::CreateStartSymmetricModelingBuilder

Created in NX9.0.0. More...

Inheritance diagram for NXOpen::Features::Subdivision::StartSymmetricModelingBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  MirrorProcedureOption { MirrorProcedureOptionCutBody, MirrorProcedureOptionProjectEdge }
 The options used to establish symmetric model
More...
 

Public Member Functions

NXOpen::Features::Subdivision::SelectCageObjectDataEdgesToProject ()
 Returns the edges to project
Created in NX9.0.0. More...
 
NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::MirrorProcedureOption MirrorProcedureOptions ()
 Returns the mirror procedure options
More...
 
NXOpen::PlanePlane ()
 Returns the plane
Created in NX9.0.0. More...
 
void SetMirrorProcedureOptions (NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::MirrorProcedureOption mirrorProcedureOptions)
 Sets the mirror procedure options
More...
 
void SetPlane (NXOpen::Plane *plane)
 Sets the plane
Created in NX9.0.0. More...
 
void SetSwitchSide (bool switchSide)
 Sets the flag indicating if the mirror side should be switched
Created in NX9.0.0. More...
 
bool SwitchSide ()
 Returns the flag indicating if the mirror side should be switched
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::Subdivision::StartSymmetricModelingBuilder builder
To create a new instance of this class, use NXOpen::Features::Subdivision::SubdivisionBodyCollection::CreateStartSymmetricModelingBuilder

Created in NX9.0.0.


Member Enumeration Documentation

The options used to establish symmetric model

Deprecated:
Deprecated in NX10.0.0.

This enumeration is redundent and hence not necessary.

Enumerator
MirrorProcedureOptionCutBody 

Cuts the mesh.

MirrorProcedureOptionProjectEdge 

Projects the edges.

Member Function Documentation

NXOpen::Features::Subdivision::SelectCageObjectData* NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::EdgesToProject ( )

Returns the edges to project
Created in NX9.0.0.



License requirements : None

NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::MirrorProcedureOption NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::MirrorProcedureOptions ( )

Returns the mirror procedure options

Deprecated:
Deprecated in NX10.0.0.

This property is redundent and hence not necessary.


Created in NX9.0.0.

License requirements : None

NXOpen::Plane* NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::Plane ( )

Returns the plane
Created in NX9.0.0.



License requirements : None

void NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::SetMirrorProcedureOptions ( NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::MirrorProcedureOption  mirrorProcedureOptions)

Sets the mirror procedure options

Deprecated:
Deprecated in NX10.0.0.

This property is redundent and hence not necessary.


Created in NX9.0.0.

License requirements : nx_subdivision (" NX SUBDIVISION")

Parameters
mirrorProcedureOptionsmirrorprocedureoptions
void NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::SetPlane ( NXOpen::Plane plane)

Sets the plane
Created in NX9.0.0.



License requirements : nx_subdivision (" NX SUBDIVISION")

Parameters
planeplane
void NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::SetSwitchSide ( bool  switchSide)

Sets the flag indicating if the mirror side should be switched
Created in NX9.0.0.



License requirements : nx_subdivision (" NX SUBDIVISION")

Parameters
switchSideswitchside
bool NXOpen::Features::Subdivision::StartSymmetricModelingBuilder::SwitchSide ( )

Returns the flag indicating if the mirror side should be switched
Created in NX9.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.